Imports System
Imports System.Web

Public Class HelloWorldHandler
    Implements IHttpHandler

    Sub ProcessRequest(ByVal context As HttpContext) _ 
                       Implements IHttpHandler.ProcessRequest
        Dim Request As HttpRequest = context.Request
        Dim Response As HttpResponse = context.Response

        Response.Write("<html>")
        Response.Write(" <body>")
        Response.Write("   <h1> Hello " + _ 
                        Request.QueryString("Name") + "</h1>")
        Response.Write("  </body>")
        Response.Write("</html>")
    End Sub

    Public ReadOnly Property IsReusable As Boolean _ 
                             Implements IHttpHandler.IsReusable
        Get
            Return True
        End Get
    End Property
End Class
